package com.jsh.erp.util;

import java.math.BigDecimal;

public class BigDecimalUtils {

    public static BigDecimal customDivide(BigDecimal dividend, BigDecimal divisor) {
        if (dividend.compareTo(BigDecimal.ZERO) == 0 || divisor.compareTo(BigDecimal.ZERO) == 0) {
            return BigDecimal.ZERO;
        }
        return dividend.divide(divisor);
    }
}
